/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 单表生成Entity
 * @author tangwc
 * @version 2018-05-23
 */
public class MdePositionCvRel extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	
	private Integer intvId;
	private String publisher;  //发布者
	
	private Integer posId;		// 职位ID（职位信息表中ID）
	private String candidate;		// 应聘者（用户code）
	private String cvTitle;		// 简历标题
	private String cvUrl;		// 简历地址
	private String cvStatus;		// 简历状态[0-新投递；1-已查看；2-已下载；3-邀请面试；4-录取；5-淘汰]
	private Date deliverDate;		// 投递时间
	private double matchingDegree;		// 岗位匹配度
	
	private String jobName;
	private String name;
	private String foreignName; // 外文名称
	
	
	public MdePositionCvRel() {
		super();
	}

	public Integer getIntvId() {
		return intvId;
	}

	public void setIntvId(Integer intvId) {
		this.intvId = intvId;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	//	@Length(min=1, max=11, message="职位ID（职位信息表中ID）长度必须介于 1 和 11 之间")
	public Integer getPosId() {
		return posId;
	}

	public void setPosId(Integer posId) {
		this.posId = posId;
	}
	
//	@Length(min=1, max=64, message="应聘者（用户code）长度必须介于 1 和 64 之间")
	public String getCandidate() {
		return candidate;
	}

	public void setCandidate(String candidate) {
		this.candidate = candidate;
	}
	
//	@Length(min=1, max=50, message="简历标题长度必须介于 1 和 50 之间")
	public String getCvTitle() {
		return cvTitle;
	}

	public void setCvTitle(String cvTitle) {
		this.cvTitle = cvTitle;
	}
	
//	@Length(min=1, max=255, message="简历地址长度必须介于 1 和 255 之间")
	public String getCvUrl() {
		return cvUrl;
	}

	public void setCvUrl(String cvUrl) {
		this.cvUrl = cvUrl;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
	public Date getDeliverDate() {
		return deliverDate;
	}

	public void setDeliverDate(Date deliverDate) {
		this.deliverDate = deliverDate;
	}
	
	public double getMatchingDegree() {
		return matchingDegree;
	}

	public void setMatchingDegree(double matchingDegree) {
		this.matchingDegree = matchingDegree;
	}

	public String getCvStatus() {
		return cvStatus;
	}

	public void setCvStatus(String cvStatus) {
		this.cvStatus = cvStatus;
	}

	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getForeignName() {
		return foreignName;
	}

	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}

}